HealthChecker

class oci.load_balancer.models.HealthChecker(**kwargs)

Bases: object

The health check policy configuration. For more information, see Editing Health Check Policies.

Methods:

__init__(**kwargs)

Initializes a new HealthChecker object with values from keyword arguments.

Attributes:

interval_in_millis

Gets the interval_in_millis of this HealthChecker.

is_force_plain_text

Gets the is_force_plain_text of this HealthChecker.

port

[Required] Gets the port of this HealthChecker.

protocol

[Required] Gets the protocol of this HealthChecker.

response_body_regex

[Required] Gets the response_body_regex of this HealthChecker.

retries

Gets the retries of this HealthChecker.

return_code

[Required] Gets the return_code of this HealthChecker.

timeout_in_millis

Gets the timeout_in_millis of this HealthChecker.

url_path

Gets the url_path of this HealthChecker.

__init__(**kwargs)

Initializes a new HealthChecker object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • protocol (str) – The value to assign to the protocol property of this HealthChecker.

  • url_path (str) – The value to assign to the url_path property of this HealthChecker.

  • port (int) – The value to assign to the port property of this HealthChecker.

  • return_code (int) – The value to assign to the return_code property of this HealthChecker.

  • retries (int) – The value to assign to the retries property of this HealthChecker.

  • timeout_in_millis (int) – The value to assign to the timeout_in_millis property of this HealthChecker.

  • interval_in_millis (int) – The value to assign to the interval_in_millis property of this HealthChecker.

  • response_body_regex (str) – The value to assign to the response_body_regex property of this HealthChecker.

  • is_force_plain_text (bool) – The value to assign to the is_force_plain_text property of this HealthChecker.

property interval_in_millis

Gets the interval_in_millis of this HealthChecker. The interval between health checks, in milliseconds. The default is 10000 (10 seconds).

Example: 10000

Returns

The interval_in_millis of this HealthChecker.

Return type

int

property is_force_plain_text

Gets the is_force_plain_text of this HealthChecker. Specifies if health checks should always be done using plain text instead of depending on whether or not the associated backend set is using SSL.

If “true”, health checks will be done using plain text even if the associated backend set is configured to use SSL.

If “false”, health checks will be done using SSL encryption if the associated backend set is configured to use SSL. If the backend set is not so configured the health checks will be done using plain text.

Example: false

Returns

The is_force_plain_text of this HealthChecker.

Return type

bool

property port

[Required] Gets the port of this HealthChecker. The backend server port against which to run the health check. If the port is not specified, the load balancer uses the port information from the Backend object.

Example: 8080

Returns

The port of this HealthChecker.

Return type

int

property protocol

[Required] Gets the protocol of this HealthChecker. The protocol the health check must use; either HTTP or TCP.

Example: HTTP

Returns

The protocol of this HealthChecker.

Return type

str

property response_body_regex

[Required] Gets the response_body_regex of this HealthChecker. A regular expression for parsing the response body from the backend server.

Example: ^((?!false).|s)*$

Returns

The response_body_regex of this HealthChecker.

Return type

str

property retries

Gets the retries of this HealthChecker. The number of retries to attempt before a backend server is considered “unhealthy”. This number also applies when recovering a server to the “healthy” state. Defaults to 3.

Example: 3

Returns

The retries of this HealthChecker.

Return type

int

property return_code

[Required] Gets the return_code of this HealthChecker. The status code a healthy backend server should return. If you configure the health check policy to use the HTTP protocol, you can use common HTTP status codes such as “200”.

Example: 200

Returns

The return_code of this HealthChecker.

Return type

int

property timeout_in_millis

Gets the timeout_in_millis of this HealthChecker. The maximum time, in milliseconds, to wait for a reply to a health check. A health check is successful only if a reply returns within this timeout period. Defaults to 3000 (3 seconds).

Example: 3000

Returns

The timeout_in_millis of this HealthChecker.

Return type

int

property url_path

Gets the url_path of this HealthChecker. The path against which to run the health check.

Example: /healthcheck

Returns

The url_path of this HealthChecker.

Return type

str